
import sys
import os
import shutil
import subprocess


##################################
### get_username
################################## 
def get_username():

    try:
        pipe = subprocess.Popen("whoami",  stdout=subprocess.PIPE)
        rc = pipe.wait()
        if rc != 0:
            script_exit("Cmd '%s' failed, rc=%s" % (whoami, rc))
        print "=============" 
        name = pipe.stdout.readline()

    except OSError, e:    
        script_exit("Cmd '%s' failed, error=%s" % (cmd, os.strerror(e.errno)))
    return name[:-2]



##################################
### run_cmd
################################## 
def run_cmd(cmd):

    try:
        pipe = subprocess.Popen(cmd, False)
        rc = pipe.wait()
        if rc != 0:
            script_exit("Cmd '%s' failed, rc=%s" % (cmd, rc))
    except OSError, e:    
        script_exit("Cmd '%s' failed, error=%s" % (cmd, os.strerror(e.errno)))


###################
# script_exit
###################
def script_exit(err, exit_code=1):

    print err
    sys.exit(exit_code)

##################################
# Usage
##################################
def usage():

    print sys.argv[0] + " file_name"



##################################
#           Main                
##################################
if __name__ == '__main__':

    if len(sys.argv) != 2:
        usage()
        sys.exit(1)

    user = get_username()

    Folder = "\\\\winbuild\\s$\\" + user + "\\tmp"

    cmd1 = "cmd /c del /Q " + Folder + "\\*"
    run_cmd(cmd1)

    cmd2 ="cmd /c copy " + sys.argv[1] + " " + Folder
    run_cmd(cmd2)


    cmd3 = sys.path[0]+ "\\SignWinbuildDirectory.cmd " + Folder
    run_cmd(cmd3)

    cmd4 = "cmd /c copy " + Folder + "\\*.sys " + os.path.dirname (sys.argv[1]) 
    run_cmd(cmd4)

