#pragma once

enum MachineArch
{
    x64,
    X86        
};

enum OsVersion
{
    Win2003,
    Win2008        
};


class CInstall
{
private:
    MachineArch m_Arch;
    OsVersion   m_OsVer;

    bool NetUseDrivers();
    bool Windbg();
    bool DbgView();
    bool Tsvn();
    bool Perl();

    //
    //  Regression
    //
    bool ShutdownEventTracker();
    bool RunPlayer();
    bool RunPlayer2();
    bool StartUpDeamon();
    bool CopyShutdown();
    bool MakeTmpDir();
    bool InstallMlnxCert();

    

public:
    //
    //  Constructor
    CInstall(MachineArch Arch, OsVersion OsVer);

    bool DoInstall();
    bool ForRegression();

};

